<?php
// Ruta absoluta al directorio donde se encuentran los archivos PDF y XML
//$directorioActual = getcwd();
$rutaArchivos = "/home/amagas/public_html/pdf";

// Verifica si se ha proporcionado un nombre de archivo válido
if(isset($_GET['nombre_archivo']) && isset($_GET['archivo'])) {
    // Recupera el nombre del archivo y su extensión de la URL
    $nombreArchivo = $_GET['nombre_archivo'];
    $extension = $_GET['archivo'];

    // Ruta absoluta al archivo
    $rutaArchivo = $rutaArchivos . '/' . $nombreArchivo . $extension;

    // Verifica si el archivo existe y es legible
    if(file_exists($rutaArchivo) && is_readable($rutaArchivo)) {
        // Configura las cabeceras para la descarga del archivo
        header('Content-Description: File Transfer');
        header('Content-Type: application/octet-stream');
        header('Content-Disposition: attachment; filename="' . basename($rutaArchivo) . '"');
        header('Expires: 0');
        header('Cache-Control: must-revalidate');
        header('Pragma: public');
        header('Content-Length: ' . filesize($rutaArchivo));
        
        // Lee el archivo y envíalo al navegador
        readfile($rutaArchivo);
        exit;
    } else {
        echo 'El archivo no existe o no se puede leer.';
    }
} else {
    echo 'Nombre de archivo no proporcionado.';
}
?>

